angular.module('focaLogin')
    .controller('focaLoginController', [
        '$scope', 'focaLoginService', '$location', '$cookies', 'focaModalService',
        function($scope, focaLoginService, $location, $cookies, focaModalService) {
            $scope.paso = 1;
            $scope.enviar = function() {
                focaLoginService.login($scope.usuario).then(function(datos) {

                    if (datos.data.chofer && datos.data.chofer.id) {
                        $cookies.put('chofer', datos.data.chofer.id);
                    } else if (datos.data.vendedorCobrador && datos.data.vendedorCobrador.id) {
                        $cookies.put('vendedorCobrador', datos.data.vendedorCobrador.id);
                    } else {
                        focaModalService.alert('Existe un error con el usuario ingresado');
                        return;
                    }

                    console.info(datos.data);
                    $cookies.put('token', datos.data.token);
                    $location.path('/');
                    $scope.$emit('blur');
                }, function(error) {
                    if (error.status === 401) {
                        focaModalService.alert('El usuario o la contraseña han sido mal introducidos');
                    }

                    if(error.status === -1) {
                        focaModalService.alert('Sin servicio');
                        return;
                    }
                });
            };
            $scope.irPaso = function(numeroPaso) {
                $scope.paso = numeroPaso;
            };
        }
    ])
    .controller('focaLogoutController', [
        '$cookies', '$location',
        function($cookies, $location) {
            $cookies.remove('chofer');
            $cookies.remove('vendedorCobrador');
            $cookies.remove('token');
            //Cierra ventana
            window.open('', '_self', ''); //bug fix
            window.close();
            $location.path('/login');
        }
    ]);
